Subject: Re: [PATCH v9 05/24] wfx: add main.c/main.h

From: Kalle Valo <[email-masked]>
Date: Fri, 11 Feb 2022 09:08:01 +0200

Jérôme Pouiller <[email-masked]> writes:

>> > There is also the patch 01/24 about the SDIO IDs.
>> >
>> > I think the v10 could contain only 3 patches:
>> >
>> >     1. mmc: sdio: add SDIO IDs for Silabs WF200 chip
>> >     2. dt-bindings: introduce silabs,wfx.yaml
>> >     3. [all the patches 3 to 24 squashed]
>> >
>> > Would it be right for you?
>> 
>> TBH I don't see the point of patch 3 at this moment, we have had so many
>> iterations with the full driver already. If people want to look at the
>> driver, they can check it from the staging tree. So in the next round I
>> recommend submitting only patches 1 and 2 and focus on getting all the
>> pending patches to staging tree.
>
> Ok.
>
>> And the chances are that a big patch like that would be filtered by the
>> mailing lists anyway.
>
> I believe that with -M, the patch would be very small.

Ah, you mean patch 3 would be about moving wfx from drivers/staging to
drivers/net/wireless? Yeah, with -M that would be a good idea.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches